<?php
defined('C5_EXECUTE') or die("Access Denied.");
?>
<div class="pixabay">
  <?php
if (is_object($f) && $f->getFileID()) {
    if ($f->getTypeObject()->isSVG()) {
        $tag = new \HtmlObject\Image();
        $tag->src($f->getRelativePath());
        $tag->addClass('ccm-svg');
    } else {
        $app = \Concrete\Core\Support\Facade\Application::getFacadeApplication();
        $image = $app->make('html/image', [$f]);
        $tag = $image->getTag();
    }

    $tag->addClass('ccm-pixabay-image-block img-responsive bID-' . $bID);

    if ($altText) {
        $tag->alt(h($altText));
    } else {
        $tag->alt('');
    }

    // add data attributes for hover effect
    if (is_object($f) && is_object($foS)) {
        if (($maxWidth > 0 || $maxHeight > 0) && !$f->getTypeObject()->isSVG() && !$foS->getTypeObject()->isSVG()) {
            $tag->addClass('ccm-image-block-hover');
            $tag->setAttribute('data-default-src', $imgPaths['default']);
            $tag->setAttribute('data-hover-src', $imgPaths['hover']);
        }
    }

    echo $tag;

} else if ($c->isEditMode()) {?>
    <div class="ccm-edit-mode-disabled-item"><?php echo t('Empty Pixabay Image Block.'); ?></div>
  <?php } else if (!empty($pixaerror)) {?>
    <div class="pixa-error"><?php echo $pixaerror; ?></div>
  <?php }?>
  <div class="credits">
    <?php echo t('Image provided by'); ?> <a href="https://pixabay.com">Pixabay</a>
  </div>
</div>